Package com.avaya.clientservices.visualvoicemail

## Class VisualVoiceMailError

- java.lang.Object
- - com.avaya.clientservices.visualvoicemail.VisualVoiceMailError

-     public class VisualVoiceMailError
      extends java.lang.Object

  Represents server error for visual voicemail.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `VisualVoiceMailError.ErrorCode` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VisualVoiceMailError()` |
    `VisualVoiceMailError​(VisualVoiceMailError.ErrorCode failureCode)` |
    `VisualVoiceMailError​(VisualVoiceMailError.ErrorCode ErrorCode, int protocolResponseCode, java.lang.String providerErrorMessage)` |
    `VisualVoiceMailError​(VisualVoiceMailError.ErrorCode failureCode, java.lang.String protocolErrorReason)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `VisualVoiceMailError.ErrorCode` | `getError()` | Returns error code.
    `int` | `getProtocolResponseCode()` | Returns the error code from the underlying protocol.
    `java.lang.String` | `getProviderErrorMessage()` | Returns error reason string from the underlying provider.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VisualVoiceMailError

          public VisualVoiceMailError()

    - #### VisualVoiceMailError

          public VisualVoiceMailError​(VisualVoiceMailError.ErrorCode failureCode)

    - #### VisualVoiceMailError

          public VisualVoiceMailError​(VisualVoiceMailError.ErrorCode failureCode,
                                      java.lang.String protocolErrorReason)

    - #### VisualVoiceMailError

          public VisualVoiceMailError​(VisualVoiceMailError.ErrorCode ErrorCode,
                                      int protocolResponseCode,
                                      java.lang.String providerErrorMessage)

  - ### Method Detail

    - #### getError

          public VisualVoiceMailError.ErrorCode getError()

      Returns error code.
      Returns:
        `VisualVoiceMailError.ErrorCode`

    - #### getProtocolResponseCode

          public int getProtocolResponseCode()

      Returns the error code from the underlying protocol.
      Returns:
        The error code from the underlying protocol.

    - #### getProviderErrorMessage

          public java.lang.String getProviderErrorMessage()

      Returns error reason string from the underlying provider.
      Returns:
        The error reason string from the underlying provider.